Subject: Re: [lojban] Re: (C)V'{i|u}V

From: "Bob LeChevalier (lojbab)" <[email-masked]>
Date: Mon, 13 Aug 2001 23:55:08 -0400

At 07:52 AM 8/13/01 -0400, John Cowan wrote:
>Richard Curnow scripsit:
>
> > From this I infer that the sequence "e,a" is treated as "ea" from the
> > perspective of legality checking and for determining word type, but it
> > would be pronounced as though it were "e'a".
>
>*May* be pronounced so.
>
> > Also, you imply that all
> > 25 vowel pairs can occur in fu'ivla and cmene, with there being an
> > implied "," inside non-diphthongs.
>
>I can't seem to find a definite ruling in the Book or elsewhere about
>the legality of random vowel pairs in fu'ivla.

It is never forbidden, and several places imply it is acceptable. But page 
64 renders the question resolved by example:
>7.11) bang,r,kore,a
>Korean (the language)
>7.12) kuln,r,kore,a
>Korean (the culture)
>Note the commas in Examples 7.11 and 7.12, used because "ea" is not a 
>valid diphthong
>in Lojban.

> > So we'd have
> >
> > ai, au, ei, oi :
> > valid in all words
> >
> > ia, ie, ii, io, iu, ua, ue, ui, uo, uu :
> > valid as stand-alone cmavo, in fu'ivla and in cmene
> >
> > aa, ae, ao, ea, ee, eo, eu, oa, oe, oo, ou :
> > valid in fu'ivla and cmene (with presence of "," implied)

yes to all of these

> > iu, uy :
> > valid only in cmene

I think you meant "iy, uy"

By extrapolation from the following on page 35:
>Vowel pairs involving "y" appear only in Lojbanized names. They could 
>appear in
>cmavo (structure words), but only ".y'y." is so used — it is the Lojban 
>name of the apos-trophe
>letter (see Chapter 17).

I believe that in theory an experimental cmavo could use these with commas 
or apostrophe (e.g. "ka,iy"), but the book does not say this (the book says 
very little about what could be used in experimental cmavo other than "a 
string of vowels" after an initial consonant).

>Yes, unless the 3rd group should be treated like the 4th after all.
>
> > In all cases, a comma between vowels must effectively
> > be discarded prior to legality checking and word type determination.
>
>Yes: commas never make a difference.

>From the book page 32:
>Otherwise, a comma is usually only used to clarify the presence of 
>syllabic "l", "m",
>"n", or "r" (discussed later). Commas are never required: no two Lojban 
>words differ
>solely because of the presence or placement of a comma.

> > At the moment, I think jbofihe/vlatai ignore commas appearing between
> > vowels and consonants. Is that the correct handling?
>
>Yes, and likewise between two consonants ("bang,r,blgaria", e.g.).

Given the text on page 32, one could simply ignore the commas in all cases, 
and if the word is valid without the commas, then it is valid. The 
indication to pronounce the comma as an apostrophe is a minor contradiction 
with the text on page 32, since it suggests that "i,e" in a name or 
whereever could be pronounced as "i'e" but is indistinguishable from 
"ie". But I think this is a pronunciation issue stemming from our desire 
to accommodate the alternate orthography, and is not really a morphology issue.

> > The algorithm in jbofihe/vlatai v0.37 is inconsistent with John's other 
> mail
> > about "ci,e", since it treats this as a cmavo. Once the handling of
> > commas is agreed, I'll generate a patch to fix this.
>
>Yes, that's definitely an error.

I agree that it is an error, though again the comment on page 32 could be 
stretched to imply it. But the risk of seeing ca,i which WOULD be 
ambiguous because of the pronunciation issue is reason to say that we 
should not allow commas in non-experimental cmavo.

lojbab
--
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org